SND_PCM_HW_RULE_ADD(9)

NAME
snd_pcm_hw_rule_add - add the hw-constraint rule

SYNOPSIS

int snd_pcm_hw_rule_add (struct snd_pcm_runtime * runtime, unsigned int cond, int var, snd_pcm_hw_rule_func_t func, void * private, int dep, ...);

ARGUMENTS

runtime
    the pcm runtime instance

cond
    condition bits

var the variable to evaluate

func
    the evaluation function

private
    the private data pointer passed to function

dep the dependent variables

... variable arguments

DESCRIPTION

Returns zero if successful, or a negative error code on failure.